Cyberduck Mountain Duck CLI

#9614 closed enhancement (fixed)

Register protocol handler for irods://

Reported by: user8439 Owned by: yla
Priority: normal Milestone: 5.0.9
Component: irods Version: 5.0.3
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description

It would be a useful enhancement for Cyberduck to be able to handle irods protocol URLs on Microsoft Windows as a registered protocol. General information on protocol registration can be found at http://kb.mozillazine.org/Register_protocol. Ideally, an irods:// URL would take a username, zone, server, port, default resource, and collection path parameters. Cyberduck could take these as input and open a connection navigated to the path specified.

Change History (7)

comment:1 Changed on Jun 30, 2016 at 6:08:18 PM by dkocher

  • Milestone set to 5.1
  • Owner set to yla
  • Summary changed from Register Cyberduck to handle irods:// protocol on Microsoft Windows to Register protocol handler for irods://

comment:4 Changed on Jul 4, 2016 at 6:08:06 AM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

comment:5 Changed on Jul 19, 2016 at 9:20:10 AM by dkocher

  • Milestone changed from 5.1 to 5.0.9

comment:6 follow-up: Changed on Jul 25, 2016 at 2:56:18 PM by user8439

This is a very exciting enhancement. Is there any documentation available on how to format the new irods:// URLs?

comment:7 in reply to: ↑ 6 Changed on Jul 25, 2016 at 3:22:05 PM by dkocher

Replying to user8439:

This is a very exciting enhancement. Is there any documentation available on how to format the new irods:// URLs?

Regular URI formating applies. You can prepend the username with irods://username@server:port/defaultpath.

Note: See TracTickets for help on using tickets.
swiss made software